VERSION 5.00
Begin VB.Form frmTipsTric 
   Caption         =   "frmStandard"
   ClientHeight    =   5295
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7545
   LinkTopic       =   "Form1"
   ScaleHeight     =   5295
   ScaleWidth      =   7545
   StartUpPosition =   3  'Windows-Standard
   Begin VB.Timer tmrFish 
      Left            =   2040
      Top             =   4320
   End
   Begin VB.CommandButton cmdNotAus 
      Caption         =   "NOTAUS"
      Height          =   735
      Left            =   360
      TabIndex        =   4
      Top             =   4200
      Width           =   1215
   End
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   375
      Left            =   5880
      TabIndex        =   1
      Top             =   4200
      Width           =   1335
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   375
      Left            =   5880
      TabIndex        =   0
      Top             =   4680
      Width           =   1335
   End
   Begin VB.Label lblStatus 
      Caption         =   "Wert"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1680
      TabIndex        =   3
      Top             =   480
      Width           =   5535
   End
   Begin VB.Label Label1 
      Caption         =   "Status :"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   480
      TabIndex        =   2
      Top             =   480
      Width           =   975
   End
End
Attribute VB_Name = "frmTipsTric"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmTipsTric(TipsTric.frm)                               Ulrich Mller 08.01.99
'                                                         Procida 400NT    VB6.0
' Sources zu den FishFace Tips und Tricks
' Die einzelnen Codeteile knnen nach einander ausgefhrt werden
'
' Versuchsaufbau : Lampe an M1, Taster an E1 und E6
'    und         : Motor mit Getriebe an M4
'                  Schaltritzel (37157) und Taster E3 auf Getriebewelle
' Anschlu an Interface ber COM1 (Konstante PortName)
'
' ------------------------------------------------------------------------------

Option Explicit

Private WithEvents ft As clsFishFace   ' --- Aktivieren FishFace Events (2.)
Attribute ft.VB_VarHelpID = -1

Const PortName$ = "COM1"
Const ftMotor = 4, ftLampe = 1
Const ftTaster1 = 1, ftTaster2 = 6, ftImpuls = 3
Private Sub cmdAction_Click()

' --- sequentielle Tips, der Reihe nach --------

Dim res%

  Set ft = New clsFishFace

  res = ft.OpenInterface(PortName)
  If res = ftiFehler Then                   ' --- Tip 4. ---
    MsgBox "Interface Problem", vbOKOnly, "Tips&Tricks"
    Exit Sub
  End If
  tmrFish.Interval = 300
  
  GoTo TEST                   ' --- die Marke TEST kann versetzt werden
TEST:                         '     um Tips zu berspringen

' --- 1. Status Anzeige : von ftTaster1, Ende ftTaster2 ---

  Do
    lblStatus = ft.GetInputs() & " --> 1. Status Digitaleingnge, Ende E" & ftTaster2
  Loop Until ft.GetInput(ftTaster2)
  
' --- 2. Analoganzeige : Photozelle an EX, Ende ftTaster1 ----

  Do
    lblStatus = ft.GetAnalog(0) & " --> 2. Ende E" & ftTaster1
  Loop Until ft.GetInput(ftTaster1)
    
' --- 3. NotHalt/Reset : Setzen in cmdNotAus ----------------------

  ft.NotHalt = False     ' --- Rcksetzen, eine Auswertung erfolgt
                         '     im WaitForTime weiter unten
  
' --- 5. Fahren zum Endtaster : ftLampe an, Ende ftTaster2 -----

  lblStatus = " --> 5. Fahren zum Endtaster : ftLampe an, Ende E" & ftTaster2
  ft.SetMotor ftLampe, ftiLinks
  Do
  Loop Until ft.GetInput(ftTaster2)
  ft.SetMotor ftLampe, ftiAus
  
' --- 6. Fahren vorgegebene Zeit : ftLampe fr 3 Sek an ---

  lblStatus = " --> 6.Fahren Zeit : ftLampe fr 3 Sek an ---"
  ft.SetMotor ftLampe, ftiRechts
  ft.WaitForTime 3000
  ft.SetMotor ftLampe, ftiAus
  
' --- 7. berfahren eines Tasters : ftLampe an, ftTaster2 ein/aus ---

  lblStatus = " --> 7. berfahren Taster : ftLampe an, ein/aus E" & ftTaster2
  ft.SetMotor ftLampe, ftiLinks
  ft.WaitForLow ftTaster2
  ft.SetMotor ftLampe, ftiAus
  
' --- 8. Fahren um eine vorgegebene Anzahl von Schritten ---
'     M4 an, E3(Schaltrad auf Getriebewelle) 5 x ein ODER E6 ein (Endtaster)
'     hier mu ein echter Motor her, da WaitForChange nach 300 mSek
'     ohne Signal (Impuls von E3) abgebrochen wird (Modellschutz)

  lblStatus = " --> 8. Fahren um 50 Schritte : ftMotor an, 50 x ein E" & ftImpuls
  ft.SetMotor ftMotor, ftiLinks
  ft.WaitForChange ftImpuls, 50, ftTaster1
  
' --- 9. Fahren auf eine vorgegebene Position ---
'     mit echtem ftMotor, Schaltrad auf der Getriebewelle ftImpuls, Ende ftTaster2
  
' --- Motorliste anlegen ---

  ft.MotCntl.Name(1) = "TestMotor"
  ft.MotCntl.Nr(1) = ftMotor
  ft.MotCntl.Impuls(1) = ftImpuls
  ft.MotCntl.Ende(1) = -ftTaster2
  
' --- Home anfahren. Vorgabe einer zu groen Position in Gegenrichtung ---
  
  If ft.GetInput(ftTaster2) Then ft.MotCntl.Position(1) = 0 Else ft.MotCntl.Position(1) = 9999
  ft.MoveTo 0
  
' --- Position 72 Anfahren, anschlieend wieder nach Home ---

  ft.MoveTo 72
  ft.MoveTo 0
  
  lblStatus = "---- FINIS ----"
  tmrFish.Enabled = False
  ft.CloseInterface
  Set ft = Nothing
  cmdEnde.SetFocus
  
End Sub


Private Sub cmdEnde_Click()

  End
  
End Sub


Private Sub cmdNotAus_Click()

' --- Setzen Nothalt Bedingung ---

  ft.NotHalt = True
  cmdEnde.SetFocus
  
End Sub

Private Sub Form_Load()

' --- Projekt | Eigenschaften | Erstellen | ProductName
  Me.Caption = App.ProductName

End Sub


Private Sub ft_PositionChange(PositionListe As Variant)

' --- Ereignis Tip 4. -------------------------------------

  lblStatus = "MoveTo Position : " & PositionListe(1) & " Ende E" & ftTaster2
  
End Sub


Private Sub tmrFish_Timer()

' --- Ereignis Tip 3. ------

  If ft.GetInputs() = ftiFehler Then
    lblStatus = "FEHLER"
    lblStatus.BackColor = RGB(255, 0, 0)
    ft.NotHalt = True
  End If
  
End Sub


